GraphHopper.com | Forum | GitHub | Maps | Blog

Error when importing map


#1

I am trying to import map to graphhopper, as described in following link:


But I got an error:

/graphhopper.sh -a import -i spain-latest.osm.pbf

using java 1.8.0_191 (64bit) from

using existing osm file spain-latest.osm.pbf

existing jar found web/target/graphhopper-web-0.12-SNAPSHOT.jar

now import. JAVA_OPTS=-Xms4096m -Xmx6144m

java.lang.IllegalArgumentException: No enum constant com.graphhopper.routing.ch.CHAlgoFactoryDecorator.EdgeBasedCHMode.FALSE
at java.lang.Enum.valueOf(Enum.java:238)
at com.graphhopper.routing.ch.CHAlgoFactoryDecorator$EdgeBasedCHMode.valueOf(CHAlgoFactoryDecorator.java:324)
at com.graphhopper.routing.ch.CHAlgoFactoryDecorator.init(CHAlgoFactoryDecorator.java:94)
at com.graphhopper.GraphHopper.init(GraphHopper.java:605)
at com.graphhopper.http.GraphHopperManaged.(GraphHopperManaged.java:66)
at com.graphhopper.http.cli.ImportCommand.run(ImportCommand.java:39)
at com.graphhopper.http.cli.ImportCommand.run(ImportCommand.java:28)
at io.dropwizard.cli.ConfiguredCommand.run(ConfiguredCommand.java:87)
at io.dropwizard.cli.Cli.run(Cli.java:78)
at io.dropwizard.Application.run(Application.java:93)
at com.graphhopper.http.GraphHopperApplication.main(GraphHopperApplication.java:33)

I use Ubuntu 16.04 .
I’ve explored the code of files, mentioned in logs. And it seems, that there is “false” parameter, passed as one of “args” . But I think, You will know the reason better than me. :wink: .
Thank You in advance, and all the best.


#2

See GraphHopper Script error


#3

Ok, thank You a lot! :smiley: